RDKit::SLNParse Namespace Reference

## Classes

class | AttribType

## Typedefs

typedef std::vector< std::pair< AttribCombineOp, boost::shared_ptr< AttribType > > > | AttribListType

## Enumerations

enum | AttribCombineOp { AttribLowPriAnd = 0, AttribOr, AttribAnd, AttribNot }

## Functions

void | parseAtomAttribs (Atom *atom, AttribListType attribs, bool doingQuery)
| parses the attributes provided for an atom and sets More...
void | parseFinalAtomAttribs (Atom *atom, bool doingQuery)
void | parseBondAttribs (Bond *bond, AttribListType attribs, bool doingQuery)
| parses the attributes provided for a bond and sets More...
void | parseFinalBondAttribs (Bond *bond, bool doingQuery)
void | parseMolAttribs (ROMol *mol, AttribListType attribs)
| parses the attributes provided for a ctab and sets More...
void | adjustAtomChiralities (RWMol *mol)
RDKIT_SLNPARSE_EXPORT void | finalizeQueryMol (ROMol *mol, bool mergeHs)
void | CleanupAfterParse (RWMol *mol)
template<typename AtomType >
int | startMol (std::vector< RWMol * > &molList, AtomType *firstAtom, bool doingQuery)
| initialize a molecule More...
template<typename AtomType , typename BondType >
void | addAtomToMol (std::vector< RWMol * > &molList, unsigned int idx, AtomType *atom, BondType *bond, bool doingQuery)
| adds an atom to a molecule More...
template<typename AtomType >
void | addAtomToMol (std::vector< RWMol * > &molList, unsigned int idx, AtomType *atom, bool doingQuery)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename BondType >
void | closeRingBond (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int ringIdx, BondType *bond, bool postponeAllowed=true)
| closes an indexed ring in a molecule using the bond provided More...
void | closeRingBond (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int ringIdx)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename BondType >
int | addBranchToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int branchIdx, BondType *&bond)
int | addBranchToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int branchIdx)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
int | addFragToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int fragIdx)
| adds the atoms and bonds from a fragment to the molecule, sets no bond More...
template<typename T >
std::string | convertToString (T val)
| convenience function to convert the argument to a string More...

## Typedef Documentation

## AttribListType

typedef std::vector<std::pair<AttribCombineOp, boost::shared_ptr<AttribType> > > RDKit::SLNParse::AttribListType

Definition at line 66 of file SLNAttribs.h.

## Enumeration Type Documentation

## AttribCombineOp

enum RDKit::SLNParse::AttribCombineOp

Enumerator
AttribLowPriAnd |
AttribOr |
AttribAnd |
AttribNot |

Definition at line 47 of file SLNAttribs.h.

## Function Documentation

## addAtomToMol() [1/2]

template<typename AtomType , typename BondType >

void RDKit::SLNParse::addAtomToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | idx,
|  | AtomType * | atom,
|  | BondType * | bond,
|  | bool | doingQuery
| ) |  |

adds an atom to a molecule

Definition at line 116 of file SLNParseOps.h.

References RDKit::Atom::getIdx(), PRECONDITION, and RDKit::Bond::SINGLE.

Referenced by addAtomToMol().

## addAtomToMol() [2/2]

template<typename AtomType >

void RDKit::SLNParse::addAtomToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | idx,
|  | AtomType * | atom,
|  | bool | doingQuery
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 146 of file SLNParseOps.h.

References addAtomToMol(), and RDKit::Bond::SINGLE.

## addBranchToMol() [1/2]

int RDKit::SLNParse::addBranchToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | branchIdx
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 288 of file SLNParseOps.h.

References addBranchToMol(), and RDKit::Bond::SINGLE.

## addBranchToMol() [2/2]

template<typename BondType >

int RDKit::SLNParse::addBranchToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | branchIdx,
|  | BondType *& | bond
| ) |  |

Definition at line 203 of file SLNParseOps.h.

References CHECK_INVARIANT, closeRingBond(), RDKit::Bond::getEndAtomIdx(), RDKit::Bond::IONIC, PRECONDITION, RDKit::Bond::setEndAtomIdx(), and RDKit::Bond::setOwningMol().

Referenced by addBranchToMol(), and addFragToMol().

## addFragToMol()

int RDKit::SLNParse::addFragToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | fragIdx
| ) |  |

adds the atoms and bonds from a fragment to the molecule, sets no bond

Definition at line 304 of file SLNParseOps.h.

References addBranchToMol(), and RDKit::Bond::IONIC.

## adjustAtomChiralities()

void RDKit::SLNParse::adjustAtomChiralities | ( | RWMol * | mol | ) |

## CleanupAfterParse()

void RDKit::SLNParse::CleanupAfterParse | ( | RWMol * | mol | ) |

## closeRingBond() [1/2]

void RDKit::SLNParse::closeRingBond | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | ringIdx
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 189 of file SLNParseOps.h.

References closeRingBond(), and RDKit::Bond::SINGLE.

## closeRingBond() [2/2]

template<typename BondType >

void RDKit::SLNParse::closeRingBond | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | ringIdx,
|  | BondType * | bond,
|  | bool | postponeAllowed = `true`
| ) |  |

closes an indexed ring in a molecule using the bond provided

Definition at line 157 of file SLNParseOps.h.

References CHECK_INVARIANT, PRECONDITION, and RDKit::Atom::setOwningMol().

Referenced by addBranchToMol(), and closeRingBond().

## convertToString()

template<typename T >

std::string RDKit::SLNParse::convertToString | ( | T | val | ) |

convenience function to convert the argument to a string

Definition at line 319 of file SLNParseOps.h.

## finalizeQueryMol()

RDKIT_SLNPARSE_EXPORT void RDKit::SLNParse::finalizeQueryMol | ( | ROMol * | mol,
|  | bool | mergeHs
| ) |  |

## parseAtomAttribs()

void RDKit::SLNParse::parseAtomAttribs | ( | Atom * | atom,
|  | AttribListType | attribs,
|  | bool | doingQuery
| ) |  |

parses the attributes provided for an atom and sets

## parseBondAttribs()

void RDKit::SLNParse::parseBondAttribs | ( | Bond * | bond,
|  | AttribListType | attribs,
|  | bool | doingQuery
| ) |  |

parses the attributes provided for a bond and sets

## parseFinalAtomAttribs()

void RDKit::SLNParse::parseFinalAtomAttribs | ( | Atom * | atom,
|  | bool | doingQuery
| ) |  |

## parseFinalBondAttribs()

void RDKit::SLNParse::parseFinalBondAttribs | ( | Bond * | bond,
|  | bool | doingQuery
| ) |  |

## parseMolAttribs()

void RDKit::SLNParse::parseMolAttribs | ( | ROMol * | mol,
|  | AttribListType | attribs
| ) |  |

parses the attributes provided for a ctab and sets

## startMol()

template<typename AtomType >

int RDKit::SLNParse::startMol | ( | std::vector< RWMol * > & | molList,
|  | AtomType * | firstAtom,
|  | bool | doingQuery
| ) |  |

initialize a molecule

Definition at line 90 of file SLNParseOps.h.

References RDKit::RWMol::addAtom(), RDKit::RWMol::addBond(), PRECONDITION, and RDKit::Bond::SINGLE.